# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies
#
# If you believe there's an error in this file please file an
# issue against the rust-lang/cargo repository. If you're
# editing this file be aware that the upstream Cargo.toml
# will likely look very different (and much more reasonable)

[package]
edition = "2018"
name = "deltastruct"
version = "0.1.7"
authors = ["Linden Krouse <ztaticnull@gmail.com>"]
include = ["src/", "LICENSE", "readme.md"]
description = "Allows defining deltas for tagged structs for later application."
documentation = "https://lindenk.gitlab.io/delta-struct/deltastruct/"
readme = "readme.md"
categories = ["data-structures"]
license = "MIT"
repository = "https://gitlab.com/lindenk/delta-struct"
[dependencies.deltastruct_proc]
version = "0.1.6"

[dependencies.paste]
version = "1.0"

[dependencies.serde]
version = "1.0"
features = ["derive"]
optional = true
